Switch session agent
Switch the agent used by subsequent provider turns.
POST
/api/session/{sessionID}/agentPath parameters
sessionIDobjectrequiredRequest body
requiredapplication/jsonagentstringrequiredResponses
204<No Content>
400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError
Any of:
SessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredRequest
curl -X POST "/api/session/%5Bobject%20Object%5D/agent" \
-H "Content-Type: application/json" \
-d '{
"agent": "string"
}'const response = await fetch("/api/session/%5Bobject%20Object%5D/agent", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"agent": "string"
})
});import requests
response = requests.post(
"/api/session/%5Bobject%20Object%5D/agent",
headers={
"Content-Type": "application/json"
},
json={
"agent": "string"
},
)Response
<No Content>
{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "SessionNotFoundError",
"sessionID": "string",
"message": "string"
}